# OpalPluginLIDManager Class Reference

`#include <lidpluginmgr.h>`

## Public Member Functions

| OpalPluginLIDManager (PPluginManager *pluginMgr=NULL)
| ~OpalPluginLIDManager ()
virtual void | OnLoadPlugin (PDynaLink &dll, INT code)
virtual void | OnShutdown ()

## Protected Attributes

PList< OpalPluginLIDRegistration > | m_registrations

## Constructor & Destructor Documentation

OpalPluginLIDManager::OpalPluginLIDManager | ( | PPluginManager * | pluginMgr = `NULL` | ) |

OpalPluginLIDManager::~OpalPluginLIDManager | ( |  | ) |

## Member Function Documentation

virtual void OpalPluginLIDManager::OnLoadPlugin | ( | PDynaLink & | dll,
|  | INT | code |
| ) |  |  | `[virtual]`

virtual void OpalPluginLIDManager::OnShutdown | ( |  | ) | `[virtual]`

## Field Documentation

PList<OpalPluginLIDRegistration> OpalPluginLIDManager::m_registrations `[protected]`

The documentation for this class was generated from the following file:

- lidpluginmgr.h